Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
chien_lv

Lisp ghi chú thép

Các bài được khuyến nghị

chien_lv    7

E có một lisp như file e đưa lên, và hình vẽ kèm theo. Cách anh chị giúp e sửa sao cho:

Gõ sht thì – nhập điểm thứ nhất

-          Nhập điểm thứ hai

-          Nhập đường kính thép

-          Nhập khoảng cách đặt thép

-          Nhập số hiệu thép

-          Nhập tỷ lệ bản vẽ ( mục đích của cái này là e muốn nó phù hợp với tỷ lệ e đang muốn ghi)

Và điều quan trọng nhất là a chị chỉnh giúp e chữ viết, màu sắc, đường nét giống hình số 1. Và nó có cả cái nét chéo thể hiện như hình số 1 nhé, e xin cảm ơn các anh chị, cảm ơn diễn đàn rất nhiều

 

 

(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
   (command "layer" "m" "Duong_giong" "c" 4 "" "")
  (setvar "clayer" "Duong_giong")
  (setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
  (command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
   (if (= p2 nil) (setq p2 (polar p1 0 17.5)))
       
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")  
(setq an (angle p1 p2))
(cond
    ((= an 0)
  (setq p3 (list (+ (car p2) 2.5) (cadr p2)))
  (setq p4 (list (+ (car p1) 2) (cadr p1)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
  )
    ((= an pi)
  (setq p3 (list (- (car p2) 2.5) (cadr p2)))
  (setq p4 (list (- (car p1) 2) (cadr p1)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
  )
    ((= an (/ pi 2))
  (setq p3 (list (car p2) (+ (cadr p2) 2.5)))
  (setq p4 (list (car p1)  (+ (cadr p1) 2)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
  )
    ((= an (/ (* 3 pi) 2))
  (setq p3 (list (car p2) (- (cadr p2) 2.5)))
  (setq p4 (list (car p2) (+ (cadr p2) 3)))
  (setq st (getstring "\nNhap duong kinh thep <6> : "))
     (if (= st "") (setq st "6"))
  (setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
     (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
  (setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
  (setq st (getstring "\nNhap so hieu thep <1> : "))
     (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st) 
  )
)
  (setvar "clayer" "Duong_giong")
  (setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
  (setvar "osmode" 7)

(princ)
)

 

 

 

 

http://www.mediafire.com/download/b65wqajyggxqnrk/Drawing2.dwg

(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
  (command "layer" "m" "Duong_giong" "c" 4 "" "")
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
(command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
  (if (= p2 nil) (setq p2 (polar p1 0 17.5))) 
        
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")   
(setq an (angle p1 p2))
(cond
  ((= an 0)
(setq p3 (list (+ (car p2) 2.5) (cadr p2)))
(setq p4 (list (+ (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an pi)
(setq p3 (list (- (car p2) 2.5) (cadr p2)))
(setq p4 (list (- (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an (/ pi 2))
(setq p3 (list (car p2) (+ (cadr p2) 2.5)))
(setq p4 (list (car p1)  (+ (cadr p1) 2)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
  ((= an (/ (* 3 pi) 2))
(setq p3 (list (car p2) (- (cadr p2) 2.5)))
(setq p4 (list (car p2) (+ (cadr p2) 3)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
)
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
(setvar "osmode" 7)
 
(princ)
)
(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
  (command "layer" "m" "Duong_giong" "c" 4 "" "")
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
(command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
  (if (= p2 nil) (setq p2 (polar p1 0 17.5))) 
        
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")   
(setq an (angle p1 p2))
(cond
  ((= an 0)
(setq p3 (list (+ (car p2) 2.5) (cadr p2)))
(setq p4 (list (+ (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an pi)
(setq p3 (list (- (car p2) 2.5) (cadr p2)))
(setq p4 (list (- (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an (/ pi 2))
(setq p3 (list (car p2) (+ (cadr p2) 2.5)))
(setq p4 (list (car p1)  (+ (cadr p1) 2)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
  ((= an (/ (* 3 pi) 2))
(setq p3 (list (car p2) (- (cadr p2) 2.5)))
(setq p4 (list (car p2) (+ (cadr p2) 3)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
)
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
(setvar "osmode" 7)
 
(princ)
)
(defun C:sht()
(setvar "cmdecho" 0)
(setvar "orthomode" 0)
(setvar "blipmode" 0)
(setvar "osmode" 551)
  (command "layer" "m" "Duong_giong" "c" 4 "" "")
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(setq p4 (getpoint "\nDiem dau : "))
(setvar "osmode" 0)
(setq p1 (getpoint p4 "\nDiem thu hai : "))
(command ".redraw" ".line" p4 p1"")
(setvar "orthomode" 1)
(setq p2 (getpoint p1 "\nDiem cuoi : "))
  (if (= p2 nil) (setq p2 (polar p1 0 17.5))) 
        
(command ".redraw" ".line"  p1 p2 "")
(command "STYLE" "chuthuong" "vntime,vns" "0" "0.8" "0" "N" "N" "N")   
(setq an (angle p1 p2))
(cond
  ((= an 0)
(setq p3 (list (+ (car p2) 2.5) (cadr p2)))
(setq p4 (list (+ (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 0 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an pi)
(setq p3 (list (- (car p2) 2.5) (cadr p2)))
(setq p4 (list (- (car p1) 2) (cadr p1)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "br" p4 2.5 0 (strcat "%%c" st  ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 0 st)
)
  ((= an (/ pi 2))
(setq p3 (list (car p2) (+ (cadr p2) 2.5)))
(setq p4 (list (car p1)  (+ (cadr p1) 2)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
  ((= an (/ (* 3 pi) 2))
(setq p3 (list (car p2) (- (cadr p2) 2.5)))
(setq p4 (list (car p2) (+ (cadr p2) 3)))
(setq st (getstring "\nNhap duong kinh thep <6> : "))
   (if (= st "") (setq st "6"))
(setq st1 (getstring "\nNhap khoang cach dat thep <20> : "))
   (if (= st1 "") (setq st1 "20"))
(command "layer" "m" "chu" "c" 2 "" "")
(setvar "clayer" "chu")
(command ".text" "j" "bl" p4 2.5 90 (strcat "%%c" st ", a=" st1))
(setq st (getstring "\nNhap so hieu thep <1> : "))
   (if (= st "") (setq st "1"))
(command ".text" "j" "mc" p3 2.5 90 st)
)
)
(setvar "clayer" "Duong_giong")
(setvar "cecolor" "bylayer")
(command ".redraw"  ".circle" p3 2.5)
(setvar "osmode" 7)
 
(princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quansla    232

Cá nhân thì thấy dùng block thuộc tính nhanh hơn, dễ hơn

P/s bạn vẫn thiếu dữ kiện, theo như lisp của bạn thì đang ở tỷ lệ bao nhiêu để có thể quy đổi về tỷ lệ mong muốn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
chien_lv    7

block thuộc tính nhưng e mới học nên không biết nhiều cái đó, a có thể nói rõ hơn không ạ, mà ý e muốn khi vẽ lisp đó đến chỗ nhập tỷ lệ bản vẽ thì mình sẽ nhập theo tỷ lệ bản vẽ đang vẽ , giả sử đang vẽ trong tỷ lệ 1/50 thì mình nhập 1/50 thì nó phù hợp với hình của hình đang vẽ hơn

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quansla    232

Không hiểu ý mình rồi, ý mình là nếu xài lisp của bạn thì nó sẽ tự vẽ ra một (một số) đối tượng để thể hiện ghi chú thép. nhưng đó là kích thước ở Model và đó là ở tỷ lệ nào, mình xài layout+Annotaive nên sử dụng block động, tương đối dễ dàng, vừa cài xong win chưa làm gì được, mình sẽ sớm đưa file video và dwg để bạn xem trước, trong lúc đó bạn có thể xem thêm trong diễn đàn

Chúc bạn thành công

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
quansla    232

cảm ơn a. có gì a sớm chỉ báo giúp e nhé, thank 

Của bạn đây, ko chắc là được bao lâu, hôm nay là 30-5-2013, sợ link sớm die mất (MF)

http://www.mediafire.com/download/jsz6cndvwblvun0/Huong_da_Ghi_Chu_Thep.rar

Link mirror

http://205.196.122.15/35d0mue6y5og/jsz6cndvwblvun0/Huong+da+Ghi+Chu+Thep.rar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×